Summary:	Logs TCP, UDP, and ICMP connections to syslog.
Name:		iplog
Version:	2.2.3
Release:	7mdk
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}
Source2:	%{name}.conf
Patch0:		%{name}-2.2.3-gcc-3.3.patch.bz2
URL:		http://ojnk.sourceforge.net
License:	GPL
Group:		Monitoring
BuildRequires:	libpcap-devel
BuildRoot:	%_tmppath/%{name}-%{version}-buildroot
Buildrequires:	libpcap-devel 
PreReq:		rpm-helper

%description
iplog is a TCP/IP traffic logger.  Currently, it is capable of logging 
TCP, UDP and ICMP traffic.  Adding support for other protocols
should be relatively easy.  iplog contains a built-in packet filter,
allowing for logging or excluding packets that fit a given set of
criteria.

%prep
%setup -q
%patch0 -p1 -b .gcc3.3

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

install -m755 %SOURCE1 -D $RPM_BUILD_ROOT/%{_initrddir}/%{name}
install -m644 %SOURCE2 -D $RPM_BUILD_ROOT/%{_sysconfdir}/%{name}.conf

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README TODO NEWS
%attr(755,root,root) %config(noreplace) %{_initrddir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_mandir}/man5/*
%{_mandir}/man8/*
%{_sbindir}/*

%changelog
* Wed Jul 23 2003 Per yvind Karlsen <peroyvind@sintrax.net> 2.2.3-7mdk
- fix gcc-3.3 patch (P0)

* Fri Jul 18 2003 Per yvind Karlsen <peroyvind@sintrax.net> 2.2.3-6mdk
- fix gcc-3.3 build (P0)
- rm -rf $RPM_BUILD_ROOT in %%install, not %%prep
- cosmetics
- macroize
- quiet setup

* Tue Sep 17 2002 Warly <warly@mandrakesoft.com> 2.2.3-5mdk
- set as nobody and not iplog
- fix init.d iplog permissions

* Mon Sep 16 2002 Warly <warly@mandrakesoft.com> 2.2.3-4mdk
- run as iplog (qa bug 277)
- remove default config file parameters that prevent iplog to work properly

* Wed Sep 12 2001 Warly <warly@mandrakesoft.com> 2.2.3-3mdk
- change distribution tag

* Fri May 18 2001  <warly@mandrakesoft.com> 2.2.3-2mdk
- add init.d file

* Mon Feb 19 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.2.3-1mdk
- used srpm from Vlatko Kosturjak <kost@iname.com> :
	- new release

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.2.1-2mdk
- automatically added BuildRequires

* Fri Jul 21 2000 Warly <warly@mandrakesoft.com> 2.2.1-1mdk
- new release

* Tue Jul 04 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.2.0-1mdk
- new release
- use new macros

* Sat Mar 25 2000 Warly <warly@mandrakesoft.com> 2.1.1-1mdk
- v2.1.1
- spechelper
- new group:

* Tue Feb 15 2000 Lenny Cartier <lenny@mandrakesoft.com>
- v2.1.0

* Fri Jan 14 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0-1mdk
- First spec file for Mandrake distribution.

# end of file
